$(document).ready(function() {
	$("#numero_telefono").mask("(999)999-9999");
});

//variable para rura local o servidor
//var _RUTA = "http://localhost:8888/2022_itz/escolares_6/";
var _RUTA = "https://escolares.zitacuaro.tecnm.mx/";

//Funciones para cuenta regresiva del examen
var _second = 1000;
var _minute = _second * 60;
var _hour = _minute * 60;
var _day = _hour * 24;
var timer;

function showRemaining(end) {
  var now = new Date();
  var distance = end - now;
  if (distance < 0) {

      clearInterval(timer);
      document.getElementById('countdown').innerHTML = 'Tiempo Agotado!';

      return;
  }
  var days = Math.floor(distance / _day);
  var hours = Math.floor((distance % _day) / _hour);
  var minutes = Math.floor((distance % _hour) / _minute);
  var seconds = Math.floor((distance % _minute) / _second);

  //document.getElementById('countdown').innerHTML = days + ' dias, ';
  document.getElementById('countdown').innerHTML = "Tiempo restante: " + hours + ':'; //Horas
  document.getElementById('countdown').innerHTML += minutes + ''; //Minutos
  //document.getElementById('countdown').innerHTML += seconds + ''; //Segundos
}


function mp(){ $('#loading').fadeIn( 400, "linear");  }
function op(){ $('#loading').fadeOut( 10, "linear"); }
function abrir_imagen(url) { var myWindow = window.open(url, "", "width=600,height=600"); }

function mensaje_exito(titulo, texto){
	swal({
	  title: titulo,
	  text: texto,
	  type: 'success',
	  timer: 3000,
	  width: "400px",
	}).then((result) => {
	  if ( result.dismiss === swal.DismissReason.timer ) {
	    console.log('I was closed by the timer')
	  }
	})
}

function mensaje_error(titulo, texto){
	swal({
	  title: titulo,
	  html: texto,
	  type: 'error',
	  timer: 10000,
	}).then((result) => {
	  if ( result.dismiss === swal.DismissReason.timer ) {
	    console.log('I was closed by the timer')
	  }
	})
}

function login(){
	mp();
	var route = "login";
	var token = $('meta[name="csrf-token"]').attr('content');
	$.ajax({
		url: route,
		headers: { 'X-CSRF-TOKEN': token },
		type: 'POST',
		dataType: 'JSON',
		data: $("#form-inicio-sesion").serialize(),
	})
	.done(function(json) {
		if (json['exito']) {
			window.location = _RUTA+json['vista'];
			//window.location = window.location.href+'principal';
			//window.location = 'https://escolares.itzitacuaro.edu.mx/principal';
		} else {
			$("#respuesta").text(json['error']);
		}
	}) 
	.fail(function(msj) { 
		//clean_validation_msj();
		$("#respuesta").text("Usuario y/o contraseña incorrectos.");
	})
	.always(function() { console.log("complete"); op();});

}

function verifica_respuesta_conexion(respuesta){
		if (respuesta.status=='0') { 
			mensaje_error("Advertencia!", "Se produjo un error, por favor revisa tu conexión a internet."); 
			return false; 
		} else {
			return true;
		}
	}

function vista_subir_documentos(){
	mp();
	var route = "documentos/create";
	var token = $('meta[name="csrf-token"]').attr('content');
	$("#div_titulo").show();
	$("#titulo_panel").html("Proceso de carga de documentos");
	$.ajax({
		url: route,
		headers: { 'X-CSRF-TOKEN': token },
		type: 'GET',
		
		data: $("#form-inicio-sesion").serialize(),
	})
	.done(function(json) {
		if (json['estatus']!='ERROR') {
			$("#div_contenido_principal").html(json);
		} else {
			mensaje_error("Advertencia!", json['mensaje']);
		}
		
	}) 
	.fail(function(msj) { })
	.always(function() { console.log("complete"); op(); });
}

function subir_documentos(event, idFormulario){
	mp();
	event.preventDefault();
	var route = "/store_doc";
	var token = $('meta[name="csrf-token"]').attr('content');
	var formData = new FormData(document.getElementById(idFormulario));
	
	var tamanio = $("#"+idFormulario).find('input[name=imagen]').first()[0].files[0].size;
	/* .size es en byte */
	if ( tamanio>=40000 && tamanio <= 2000000) {
		$.ajax({
			url: route,
			headers: { 'X-CSRF-TOKEN': token },
			type: 'POST',
			dataType: 'json',
			data: formData,
			contentType: false,
			processData: false,
			cache: false,
		})
		.done(function(json) {
			
			if (json['estatus']=='OK') {
				$("#"+idFormulario).find('.ui-ribbon').html(json['exito']);
				$("#"+idFormulario).find('.badge').addClass('bg-orange');
				$("#"+idFormulario).find('.ui-ribbon').addClass('bg-orange');
				$("#"+idFormulario).find('input[type=file]').prop('disabled', 'disabled');
				$("#"+idFormulario).find('button[type=submit]').prop('disabled', 'disabled');
				$("#"+idFormulario).find('.mensaje_error').html("");
			} else {
				$("#"+idFormulario).find('.mensaje_error').html("<i class='fa fa-asterisk text-danger'></i>"+
	                      "<strong> "+json['error']+"</strong>");
			}
		}) 
		.fail(function(msj) { 
			$("#"+idFormulario).find('.mensaje_error').html("<i class='fa fa-asterisk text-danger'></i>"+
	                      "<strong> "+msj['responseJSON']['imagen'][0]+"</strong>");
			if (msj['responseJSON']['imagen'].length>1) {
				$("#"+idFormulario).find('.mensaje_error').append("<br><i class='fa fa-asterisk text-danger'></i>"+
	                      "<strong> "+msj['responseJSON']['imagen'][1]+"</strong>");
			}
		})
		.always(function() { console.log("complete"); op(); });
	} else {
		$("#"+idFormulario).find('.mensaje_error').html("<i class='fa fa-asterisk text-danger'></i>"+
	                      "<strong>EL ARCHIVO DEBE DE SER MAYOR QUE 40 KILOBYTES Y MENOR QUE 2 MEGABYTES.</strong>");
		op();
	}
}


function update_documentos(idFormulario){
	mp();
	$("#"+idFormulario).find('.mensaje_error').html();
	var route = "/update_doc";
	var token = $('meta[name="csrf-token"]').attr('content');
	var formData = new FormData(document.getElementById(idFormulario));
	var tamanio = $("#"+idFormulario).find('input[name=imagen]').first()[0].files[0].size;
	/*
	*	1 BYTE = 1,000 KILOBYTES
	*	EL TAMANIO LO REGRESA EN BYTES
	*/
	if ( tamanio>=70000 && tamanio <= 2000000) {
		$.ajax({
			url: route,
			headers: { 'X-CSRF-TOKEN': token },
			type: 'POST',
			dataType: 'json',
			data: formData,
			contentType: false,
			processData: false,
			cache: false,
		})
		.done(function(json) {
			console.log(json);
			if (json['estatus']=='OK') {
				$("#"+idFormulario).find('.ui-ribbon').html(json['exito']);
				$("#"+idFormulario).find('.badge').addClass('bg-orange');
				$("#"+idFormulario).find('.ui-ribbon').addClass('bg-orange');
				$("#"+idFormulario).find('input[type=file]').prop('disabled', 'disabled');
				$("#"+idFormulario).find('button[type=submit]').prop('disabled', 'disabled');
				$("#"+idFormulario).find('.mensaje_error').html("");
			} else {
				$("#"+idFormulario).find('.mensaje_error').html("<i class='fa fa-asterisk text-danger'></i>"+
	                      "<strong> "+json['error']+"</strong>");
			}
		}) 
		.fail(function(msj) { 
			//console.log(msj);
			$("#"+idFormulario).find('.mensaje_error').html("<i class='fa fa-asterisk text-danger'></i>"+
	                      "<strong> "+msj['responseJSON']['imagen'][0]+"</strong>");
			if (msj['responseJSON']['imagen'].length>1) {
				$("#"+idFormulario).find('.mensaje_error').append("<br><i class='fa fa-asterisk text-danger'></i>"+
	                      "<strong> "+msj['responseJSON']['imagen'][1]+"</strong>");
			}
		})
		.always(function(men) { console.log("complete "); console.log(men); op(); });
	} else {
		$("#"+idFormulario).find('.mensaje_error').html("<i class='fa fa-asterisk text-danger'></i>"+
	                      "<strong>EL ARCHIVO DEBE DE SER MAYOR QUE 70 KILOBYTES Y MENOR QUE 2 MEGABYTES.</strong>");
		op();
	}
}

function update_datos_alumno(folio){
	mp();
	var route = "alumno_admision/"+folio;
	var token = $('meta[name="csrf-token"]').attr('content');
	
	$.ajax({
		url: route,
		headers: { 'X-CSRF-TOKEN': token },
		type: 'PUT',
		dataType: 'json',
		data: $("#form-datos-alumno").serialize(),
	})
	.done(function(json) {
		
		if (json['estatus']=='OK') {
			mensaje_exito("Actualización", json['exito']);
			$("#div_formulario").hide();
		} else {
			mensaje_error("Advertencia", "Se produjo un error al actualizar tus datos");
		}
	}) 
	.fail(function(msj) { 
		mensaje_error("Advertencia", "Se produjo un error al actualizar la información");
	})
	.always(function() { console.log("complete"); op(); });
}

function show_pdf(id){
	mp();
	$("#div_titulo").show();
	$("#titulo_panel").html("Manual de Ingreso");
	var route = "alumno_admision/"+id;
	var token = $('meta[name="csrf-token"]').attr('content');
	
	$.ajax({
		url: route,
		headers: { 'X-CSRF-TOKEN': token },
		type: 'GET',
		dataType: 'HTML',
	})
	.done(function(vista) {
		$("#div_contenido_principal").html(vista);
	}) 
	.fail(function(msj) { 
		mensaje_error("Advertencia", "Se produjo un error al actualizar la información");
	})
	.always(function() { console.log("complete"); setTimeout(op, 25000); });
}


function vista_credenciales(){
	mp();
	var route = "credenciales/create";
	var token = $('meta[name="csrf-token"]').attr('content');
	$("#div_titulo").show();
	$("#titulo_panel").html("Credenciales de acceso");
	$.ajax({
		url: route,
		headers: { 'X-CSRF-TOKEN': token },
		type: 'GET',
		
		data: $("#form-inicio-sesion").serialize(),
	})
	.done(function(json) {
		if (json['estatus']!='ERROR') {
			$("#div_contenido_principal").html(json);
		} else {
			mensaje_error("Advertencia!", json['mensaje']);
		}
		
	}) 
	.fail(function(msj) { })
	.always(function() { console.log("complete"); op(); });
}

function actualizar_talla(){
	mp();
	var talla = $("input[name=talla]:checked").val();
	if (talla==undefined) {
		mensaje_error("Advertencia!!", "Por favor, selecciona una talla correcta");
		op();
		return;
	} else {

		var route = "credenciales";
		var token = $('meta[name="csrf-token"]').attr('content');
		
		$.ajax({
			url: route,
			headers: { 'X-CSRF-TOKEN': token },
			type: 'POST',
			dataType: 'html',
			data: {'talla': talla},
		})
		.done(function(html) {
			$("#div_contenido_principal").html(html);
		}) 
		.fail(function(msj) { 
			mensaje_error("Advertencia", "Se produjo un error al actualizar la información");
		})
		.always(function() { console.log("complete"); op(); });

	}

}

function vista_ingles(){ //msj1
	mp();
	var route = "ingles/create";
	var token = $('meta[name="csrf-token"]').attr('content');
	$("#div_titulo").show();
	$("#titulo_panel").html("¡BIENVENIDAS(OS) A LA COORDINACIÓN DE LENGUAS EXTRANJERAS!");
	$.ajax({ url: route, headers: { 'X-CSRF-TOKEN': token }, type: 'GET' })
	.done(function(json) {
		$("#div_contenido_principal").html(json);
	}) 
	.fail(function(msj) { })
	.always(function() { console.log("complete"); op(); });
}

function vista_ingles_informacion(){ //msj2
	mp();
	var route = "ingles/1";
	var token = $('meta[name="csrf-token"]').attr('content');
	$("#div_titulo").show();
	$("#titulo_panel").html("Examen de ubicación del Departamento de Lenguas Extranjeras.");
	$.ajax({ url: route, headers: { 'X-CSRF-TOKEN': token }, type: 'GET' })
	.done(function(json) {
		$("#div_contenido_principal").html(json);
	}) 
	.fail(function(msj) { })
	.always(function() { console.log("complete"); op(); });
}

function registro_examen(bandera){
	mp();
	var route = "ingles";
	var token = $('meta[name="csrf-token"]').attr('content');
	$("#div_titulo").show();
	$.ajax({ 
		url: route, headers: { 'X-CSRF-TOKEN': token }, type: 'POST', 
		data: {bandera: bandera}, 
	})
	.done(function(json) {	
		var titulo = "";
		$("#titulo_panel").html(titulo);
		$("#div_contenido_principal").html(json);

		if (bandera=="2") { 
			titulo="Coordinación de Lenguas Extranjeras"; 
			$("#link_menu_ingles").removeProp('onclick').attr('onclick', 'javascript:vista_ingles_informacion();');

			var id_alumno = $("#id_alumno").val();
	  	$.ajax({
	  		url: 'https://poa.zitacuaro.tecnm.mx/nglcorreo/'+id_alumno, type: 'GET', dataType: 'html'
	  	})
	  	.done(function(msj) { mensaje_exito('Reenvio de correo', msj); })
	  	.fail(function() { mensaje_error("Ocurrio un error"); })
	  	.always(function() { op(); });

		} else {
			titulo="Coordinación de Lenguas Extranjeras";
			$("#menu_ingles").remove();
		}
		
	}) 
	.fail(function(msj) { })
	.always(function() { console.log("complete"); op(); });
}


/*function inicio_examen(){ 
	mp();
	var route = "examen/inicio";
	var token = $('meta[name="csrf-token"]').attr('content');
	$("#div_titulo").show();
	$("#titulo_panel").html("Tópico #1");
	$("#barra_examen").show();
	$("#countdown").show();

	var end = new Date('10/01/2020 3:30 PM');
  timer = setInterval(showRemaining, 60000, end); //60000=1minuto; 1000=1Segundo

	$.ajax({ url: route, headers: { 'X-CSRF-TOKEN': token }, type: 'GET' })
	.done(function(json) {
		$("#div_contenido_principal").html(json);
	}) 
	.fail(function(msj) { })
	.always(function() { console.log("complete"); op(); });
}*/

function seccion(){ 
	mp();
	var route = "respuesta/create";
	var token = $('meta[name="csrf-token"]').attr('content');
	$("#div_titulo").show();
	$("#titulo_panel").html("Tópico #1");
	var clave = $("#clave_1").val().trim()+'-'+$("#clave_2").val().trim()+'-'+$("#clave_3").val().trim();
	if (clave.length==14) {
		$.ajax({ url: route, headers: { 'X-CSRF-TOKEN': token }, type: 'GET', data:{'clave': clave} })
		.done(function(json) {
			if(json=="ERROR_CLAVE"){
				mensaje_error("Examen de Ubicación", "Tu clave no es valida.");
			} else {	
				$("#div_contenido_principal").html(json);
				$("#countdown").show();
				$("#barra_examen").show();

				//var end = new Date('10/01/2020 3:30 PM');
				var end = new Date($("#fin").val());
	  		timer = setInterval(showRemaining, 1000, end); //60000=1minuto; 1000=1Segundo
	  		barra_audio();

	  		var t = parseInt($("#total").val());
	  		if ( t ) {
	  			if (t==34) {t++;}
					var total = ((parseInt(t)*parseInt(100))/72);
					$("#barrita").css('width', total+"%");
	  		}

	  		var topic = $("#topico").val();
				if ( topic!==undefined ) { $("#titulo_panel").html("Tópico #" + topic );	}
			}
		}) 
		.fail(function(msj) { })
		.always(function() { console.log("complete"); op(); });
	} else {
		mensaje_error('Examen de Ubicación', 'Ingresa tu clave'); op();
	}
}

function pregunta(idSeccion){ 
	var timerBar = document.querySelector(".barra_audio_interna");
	if ( (timerBar && timerBar.style.width=="100px") || !timerBar ) {
		document.onclick = function(e) {}
		mp();
		var route = "respuesta/"+idSeccion;
		var token = $('meta[name="csrf-token"]').attr('content');
		
		//$("#titulo_panel").html("¡BIENVENIDAS(OS) A LA COORDINACIÓN DE LENGUAS EXTRANJERAS!");
		$.ajax({ url: route, headers: { 'X-CSRF-TOKEN': token }, type: 'GET' })
		.done(function(json) {
			$("#div_contenido_principal").html(json);
		}) 
		.fail(function(msj) { })
		.always(function() { console.log("complete"); op(); });
	} else {
		mensaje_error("Examen de Ubicación", "Escucha el audio completo, ya que no podras regresar.");
	}
}

function guardar_respuesta(){ 
	mp();
	var respuesta = $('input:radio[name=respuesta]:checked').val();
	if ( respuesta===undefined) {
		mensaje_error("Examen de Ubicación", "Selecciona una opción"); op();
	} else {

	var route = "respuesta";
	var token = $('meta[name="csrf-token"]').attr('content');
	$("#div_titulo").show();
	//$("#titulo_panel").html("¡BIENVENIDAS(OS) A LA COORDINACIÓN DE LENGUAS EXTRANJERAS!");
	$.ajax({ url: route, headers: { 'X-CSRF-TOKEN': token }, type: 'POST', 
						data: {idPregunta: $("#id_pregunta").val(), respuesta: respuesta },  })
	.done(function(json) {
		$("#div_contenido_principal").html(json);
		$("#div_titulo").show();
		var topic = $("#topico").val();
		if ( topic!==undefined ) { $("#titulo_panel").html("Tópico #" + topic );	}

		var t = parseInt($("#total").val());
		if (t==71) {t++;}
		var total = ((parseInt(t)*parseInt(100))/72);
		$("#barrita").css('width', total+"%");

		if (total==100) {
			clearInterval(timer);
		}
		barra_audio();

	}) 
	.fail(function(msj) { verifica_respuesta_conexion(msj); })
	.always(function() { console.log("complete"); op(); });

	}
}

function reproducir(){
  var audio = document.getElementById("mi_musica");
	audio.play();
}

function pausar(){
  var audio = document.getElementById("mi_musica");
	audio.pause();
}

function subir_volumen(){
  var audio = document.getElementById("mi_musica");
	if (audio.volume<1) {
		audio.volume+=0.1;	
	}
	
}

function bajar_volumen(){
  var audio = document.getElementById("mi_musica");
	if (audio.volume>0.1) {
		audio.volume-=0.1;	
	}
}



function setTime() {
  var audio = document.getElementById("mi_musica");
  audio.addEventListener('timeupdate', setTime);
  var barra = document.querySelector(".barra_audio");
  var timerBar = document.querySelector(".barra_audio_interna");

  var barLength = barra.clientWidth * (audio.currentTime/audio.duration);
  timerBar.style.width = barLength + 'px';
}

function barra_audio(){
	var audio = document.getElementById("mi_musica");
	if(audio){
	  audio.addEventListener('timeupdate', setTime);
	  document.onclick = function(e) {
	  	var barra = document.querySelector(".barra_audio");
		  var audio = document.getElementById("mi_musica");
		  
		  var timerBar = document.querySelector(".barra_audio_interna");

		  var valores = barra.getBoundingClientRect();
		  if ( e.x > valores.left && e.x < valores.right && e.y > valores.top && e.y < valores.bottom ) {
		    var tam = e.x-valores.left;
		    timerBar.style.width = tam + '%';
		    audio.currentTime = (tam * audio.duration )/valores.width;
		  }
		}
	}
}


/*Funciones agregadas para examen de ubicacion y liberacion pago*/
	/*Funciones para examen de ubicacion pago */
		function acceso_ubicacion_pago(){ 
			mp();
			var route = "xmn/ubicacion/create";
			var token = $('meta[name="csrf-token"]').attr('content');
			$("#div_titulo").show();
			$("#titulo_panel").html("Examen de ubicación del Departamento de Lenguas Extranjeras.");
			$.ajax({ url: route, headers: { 'X-CSRF-TOKEN': token }, type: 'GET' })
			.done(function(json) {
				$("#div_contenido_principal").html(json);
			}) 
			.fail(function(msj) { })
			.always(function() { console.log("complete"); op(); });
		}

	/*Funciones para examen de liberacion pago */
		function acceso_liberacion_pago(){ 
			mp();
			var route = "xmn/liberacion/create";
			var token = $('meta[name="csrf-token"]').attr('content');
			$("#div_titulo").show();
			$("#titulo_panel").html("Examen de liberación del Departamento de Lenguas Extranjeras.");
			$.ajax({ url: route, headers: { 'X-CSRF-TOKEN': token }, type: 'GET' })
			.done(function(json) {
				$("#div_contenido_principal").html(json);
			}) 
			.fail(function(msj) { })
			.always(function() { console.log("complete"); op(); });
		}


		function seccion_liberacion(){ 
			mp();
			var route = "respuestaLiberacion/create";
			var token = $('meta[name="csrf-token"]').attr('content');
			$("#div_titulo").show();
			$("#titulo_panel").html("Tópico #1");
			var clave = $("#clave_1").val().trim()+'-'+$("#clave_2").val().trim()+'-'+$("#clave_3").val().trim();
			if (clave.length==14) {
				$.ajax({ url: route, headers: { 'X-CSRF-TOKEN': token }, type: 'GET', data:{'clave': clave} })
				.done(function(json) {
					if(json=="ERROR_CLAVE"){
						mensaje_error("Examen de Ubicación", "Tu clave no es valida.");
					} else {	
						$("#div_contenido_principal").html(json);
						$("#countdown").show();
						$("#barra_examen").show();

						//var end = new Date('10/01/2020 3:30 PM');
						var end = new Date($("#fin").val());
			  		timer = setInterval(showRemaining, 1000, end); //60000=1minuto; 1000=1Segundo
			  		barra_audio();

			  		var t = parseInt($("#total").val());
			  		if ( t ) {
			  			if (t==34) {t++;}
							var total = ((parseInt(t)*parseInt(100))/72);
							$("#barrita").css('width', total+"%");
			  		}

			  		var topic = $("#topico").val();
						if ( topic!==undefined ) { $("#titulo_panel").html("Tópico #" + topic );	}
					}
				}) 
				.fail(function(msj) { })
				.always(function() { console.log("complete"); op(); });
			} else {
				mensaje_error('Examen de Ubicación', 'Ingresa tu clave'); op();
			}
		}

		function pregunta_liberacion(idSeccion){ 
			var timerBar = document.querySelector(".barra_audio_interna");
			if ( (timerBar && timerBar.style.width=="100px") || !timerBar ) {
				document.onclick = function(e) {}
				mp();
				var route = "respuestaLiberacion/"+idSeccion;
				var token = $('meta[name="csrf-token"]').attr('content');
				
				//$("#titulo_panel").html("¡BIENVENIDAS(OS) A LA COORDINACIÓN DE LENGUAS EXTRANJERAS!");
				$.ajax({ url: route, headers: { 'X-CSRF-TOKEN': token }, type: 'GET' })
				.done(function(json) {
					$("#div_contenido_principal").html(json);
				}) 
				.fail(function(msj) { })
				.always(function() { console.log("complete"); op(); });
			} else {
				mensaje_error("Examen de Ubicación", "Escucha el audio completo, ya que no podras regresar.");
			}
		}

		function guardar_respuesta_liberacion(){ 
			mp();
			var respuesta = $('input:radio[name=respuesta]:checked').val();
			if ( respuesta===undefined) {
				mensaje_error("Examen de Ubicación", "Selecciona una opción"); op();
			} else {

			var route = "respuestaLiberacion";
			var token = $('meta[name="csrf-token"]').attr('content');
			$("#div_titulo").show();
			//$("#titulo_panel").html("¡BIENVENIDAS(OS) A LA COORDINACIÓN DE LENGUAS EXTRANJERAS!");
			$.ajax({ url: route, headers: { 'X-CSRF-TOKEN': token }, type: 'POST', 
								data: {idPregunta: $("#id_pregunta").val(), respuesta: respuesta },  })
			.done(function(json) {
				$("#div_contenido_principal").html(json);
				$("#div_titulo").show();
				var topic = $("#topico").val();
				if ( topic!==undefined ) { $("#titulo_panel").html("Tópico #" + topic );	}

				var t = parseInt($("#total").val());
				if (t==71) {t++;}
				var total = ((parseInt(t)*parseInt(100))/72);
				$("#barrita").css('width', total+"%");

				if (total==100) {
					clearInterval(timer);
				}
				barra_audio();

			}) 
			.fail(function(msj) { verifica_respuesta_conexion(msj); })
			.always(function() { console.log("complete"); op(); });

			}
		}

